--[[
	One in the Chamber
	Made by MC_Bowlinghead								 
	Problems? Write a message -> USGN-Number: 51028			 
	Only German or English!	(Do NOT use translator)							 
	www.unrealsoftware.de/profile.php?userid=51028
]]--

-- Standart Settings
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
bullet = initArray(32)
kill = initArray(32)
spec = initArray(32)

-- Normal Settings
parse("mp_wpndmg elite 200")
parse("sv_gamemode 1")
parse("mp_randomspawn 1")

-- Strip weapon if player attack!
addhook("attack","attack_oitc")
function attack_oitc(id)
	bullet[id]=bullet[id]+1
	if bullet[id]==1 then
		bullet[id]=0
		parse("equip "..id.." 50")
		parse("strip "..id.." 5")
	end
end

-- If Player Kill give weapon
addhook("kill","kill_oitc", 100)
function kill_oitc(killer,victim,w)
	bullet[killer]=bullet[killer]-1
	msg2(killer,"000255000+1 Bullet!@C")
	if w==50 then
		parse("equip "..killer.." 5")
	end
end
	
-- Spawn with a Elite
addhook("spawn","spawn_oitc")
function spawn_oitc(id)
	if spec[id]==1 then
		parse("killplayer "..id)
		msg2(id,"255000000You are dead! You can't join anymore.@C")
	end
	parse("strip "..id.." 50")
	return "5";
end

-- No Drop!
addhook("drop","drop_oitc")
function drop_oitc()
	return 1
end

-- No buy!
addhook("buy","buy_oitc")
function buy_oitc()
	return 1
end

-- Strip Knife If you have a Bullet (Because if you knife and have a bullet you lose a bullet)
addhook("second","second_oitc")
function second_oitc()
	for _, id in ipairs(player(0,"tableliving")) do
		if bullet[id]~=1 then
			parse("strip "..id.." 50")
		end
	end
	if #player(0, "tableliving") <= 2 then
		parse("mp_radar 1")
	else
		parse("mp_radar 0")
	end
end


-- No Dead drop!
addhook("die","die_oitc")
function die_oitc(victim,killer,weapon,x,y)
	kill[victim]=kill[victim]+1
	if kill[victim]==3 then
		kill[victim]=0
		msg2(victim,"255000000You are dead!@C")
		parse("makespec "..victim)
		spec[victim]=1
	end
	if kill[victim]==1 then
		msg2(victim,"2550000002 Lives left!@C")
	elseif kill[victim]==2 then
		msg2(victim,"2550000001 Live left!@C")
	end
	return 1
end

local d = {}

-- Restart Round if only 1 Player alive
addhook("die", "ThanksAtBannan")
function ThanksAtBannan(id)
	d[id] = d[id] + 1
	if d[id] == 3 then
		if #player(0, "tableliving") == 1 then
			for _, p in pairs(player(0, "table")) do
				if not player(p, "exists") and d[p] ~= 3 then
					return 0 
				end
			end
			spec[id]=0
			kill[id]=0
			d[id]=0
			bullet[id]=0
			parse("restart")
		end
     end
end

-- Reset Stats on Join
addhook("join", "join_oitc")
function join_oitc(id) 
	d[id] = 0
	spec[id]=0
	kill[id]=0
	d[id]=0
	bullet[id]=0
	msg2(id,"100100100One in the Chamber Mode!@C")
	msg2(id,"255255255Made by MC_Bowlinghead!")
end

-- Reset Stats on Leave
addhook("leave", "leave_oitc")
function leave_oitc(id)
	if #player(0, "tableliving") == 1 then
		for _, p in pairs(player(0, "table")) do
			if d[p] ~= 3 then 
				return 0 
			end
			spec[id]=0
			kill[id]=0
			d[id]=0
			bullet[id]=0
			parse("restart")
		end
	end
end

-- Reset Stats on Startround
addhook("startround", "startround_oitc")
function startround_oitc()
	for _, p in pairs(player(0, "table")) do 
		d[p] = 0
		spec[p]=0
		kill[p]=0
		d[p]=0
		bullet[p]=0
	end 
end

-- Make Spectator to Player
addhook("endround","endround_oitc")
function endround_oitc()
	for _, p in pairs(player(0, "table")) do
		spec[p]=0
		kill[p]=0
		d[p]=0
		bullet[p]=0
		c = math.random(1,2)
		if c==1 then
			parse("makect "..p)
		elseif c==2 then
			parse("maket "..p)
		end
	end
end

-- Minute Info
addhook("minute","minute_oitc")
function minute_oitc()
	msg("255255255One in the Chamber Mode")
	msg("2550000001 Bullet/ 3 Lifes")
	msg("000255000Have Fun! :D")
	msg("150150150Want to Download? Say '!dl'")
	msg("000000255Made by MC_Bowlinghead")
end

-- Info Say
addhook("say","say_oitc")
function say_oitc(id,txt)
	if txt=="!dl" then
		msg2(id,"255255255http://www.unrealsoftware.de/files_show.php?file=7912")
		msg2(id,"255000000Copy it (With Console) and look in the Internet!")
		return 1
	end
end
